@import '../../node_modules/compass-mixins/lib/compass/css3';
@import '../../node_modules/compass-mixins/lib/animation/core';
@import "mixins";

@keyframes slideFromLeft {
  0% {
    margin-left: -200px;
    opacity: 0;
  }
  100% {
    margin-left: 0;
    opacity: 1;
  }
}

@keyframes slideFromRight {
  0% {
    margin-right: -200px;
    opacity: 0;
  }
  100% {
    margin-right: 0;
    opacity: 1;
  }
}

.chat-main {
  box-shadow: rgba(0, 0, 0, 0.74902) 0px 0px 9px 0px;
  height: calc(100vh - 82px);
  display: flex;
  flex-direction: row;
  border-bottom: 1px solid #c4c4c4;
  border-left: 1px solid #c4c4c4;
  border-right: 1px solid #c4c4c4;
  width: 80%;
  margin: auto;
  @media screen and (max-width: 1024px) {
    width: 99%;
  }

  .sider {
    height: 100%;
    width: 30%;
    border-right: 1px solid #c4c4c4;
    background-color: #fff;
    @media screen and (max-width: 768px) {
      display: none;
    }
  }

  .content-messages {
    display: flex;
    flex-direction: column;
    width: 80%;
    overflow: hidden;
    background-color: #fff;
    @media screen and (max-width: 768px) {
      width: 100%;
    }
  }

  .choose-chat {
    background-color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 80%;
  }
}

.sider {
  .item {
    color: black;
    cursor: pointer;
    height: 13%;
    display: flex;
    align-items: center;
    padding-bottom: 5px;
    padding-left: 3%;
    position: relative;
    transition: .5s all;
    width: 97%;

    &:hover {
      background-color: #e8f8ff;
    }

    &.active {
      background-color: #00bcd4;
      width: 102%;
      height: 15%;
      span, span:nth-child(2) {
        transition: .3s all;
        color: #fff;
      }
    }

    img {
      height: 80%;
      border-radius: 100%;
    }
    & > div {
      width: 100%;
      height: 85%;
      padding: 10px 10px 0;
      display: flex;
      flex-wrap: wrap;
      justify-content: space-between;

      span {
        transition: .3s all;
        &:first-child {
          width: 40%;
          position: absolute;
          top: 15%;
          overflow: hidden;
          text-overflow: ellipsis;
          font-weight: bold;
        };

        &:nth-child(2) {
          font-size: 12px;
          color: #7c7c7c;
          position: absolute;
          right: 3%;
          top: 15%;
        }

        &:last-child {
          width: 60%;
          position: absolute;
          bottom: 20%;
          white-space: nowrap;
          overflow: hidden;
          text-overflow: ellipsis;
        }
      }
    }
  }
}

.content-messages {
  .chat {
    height: 93%;
    padding: 20px;
  }

  .input {
    padding-top: 10px;
    padding-bottom: 10px;
    border-top: 1px solid #c4c4c4;
    position: relative;

    @include send_message_button(absolute);
    @include chat_textarea(none);
  }
}

.chat {
  display: flex;
  flex-direction: column-reverse;
  justify-content: flex-start;
  overflow-y: auto;
  overflow-x: hidden;
  white-space: pre-wrap;

  @include scroll();

  .bubble {
    @include transition-timing-function(cubic-bezier(.4, -.04, 1, 1));
    //@for $i from 10 through 1 {
      &:first-of-type {
        @include animation-duration(1s);
      }
    //}

    max-width: 60%;
    word-wrap: break-word;
    font-size: 16px;
    position: relative;
    display: inline-block;
    clear: both;
    margin-bottom: 28px;
    padding: 13px 14px;
    vertical-align: top;
    border-radius: 5px;

    &:before {
      position: absolute;
      top: 19px;
      display: block;
      width: 8px;
      height: 6px;
      content: '\00a0';
      -webkit-transform: rotate(29deg) skew(-35deg);
      transform: rotate(29deg) skew(-35deg);
    }

    &.me {
      float: right;
      color: #1a1a1a;
      background-color: #d9dada;
      align-self: flex-end;
      -webkit-animation-name: slideFromRight;
      animation-name: slideFromRight;
      &:before {
        right: -3px;
        background-color: #d9dada;
      }
    }

    &.you {
      float: left;
      color: #fff;
      background-color: #00b0ff;
      align-self: flex-start;
      -webkit-animation-name: slideFromLeft;
      animation-name: slideFromLeft;
      &:before {
        left: -3px;
        background-color: #00b0ff;
      }
    }
  }
}

.bubble__time {
  width: 130%;
  position: absolute;
  right: 0;
  text-align: right;
  bottom: -15px;
  font-size: 10px;
  color: #c4c4c4;
}

.start-chat-modal {
  .title {
    span {
      cursor: pointer;
      transition: color .3s;
      font-size: 14px;
      float: right;
      &:hover {
        color: #00b0ff;
      }
    }
  }
  .start-chat-modal__content {
    display: flex;
    align-items: center;
    width: 50vw;

    @include send_message_button(block);
    @include chat_textarea(2px solid #f9f9f9);
  }
}